// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/BountySystem/CheckpointClass.h"
#include "FinalCheckpoint.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AFinalCheckpoint : public ACheckpointClass
{
	GENERATED_BODY()

protected:
	// Increment and Save Current Main Bounty Index, as well as load Open World Level
	UFUNCTION(BlueprintCallable)
	void CompleteBounty();
	
};
